function [labels,feats] = loadWeatherData(file)


% load the data
tmp = load(file);

% Convert the zero indexed features to one indexed features so that matlab
% doesn't complain.
tmp(:,2) =tmp(:,2) + 1;

% Convert to a sparse vector.
data = spconvert(tmp);

% The first two columns are the labels

labels = full(data(:,1:2));
labels = labels(:,2) * 2 -1;

% The third column onwards are the features
feats = data(:, 3:size(data,2));